Summary:	Red Flag Task Scheduler
Name:		rfcron
Version:	1.0
Release:	21
License:	GPL
Vendor:		Red Flag Software Co., Ltd.
Packager:	packager@redflag-linux.com
Group:		Applications/System
Source:		%{name}.tar.gz
Source1:	rfcron_ko.ts
Source2:	rfcron_ko.qm
Patch0:		rfcron-desktop-ko.patch
Patch1:		rfcron-install.sh-ko.patch

%description
rfcron is a commercial software developed by Redflag Software
Corporation.  rfcron lets a system administrator to schedule tasks.
%prep
%setup -q -n rfcron
%patch0 -p1 -b .desktop.ko
%patch1 -p1 -b .ko.qm

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}/

%build
unset QTDIR && . /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
make
cd librfcron; make

%install
unset QTDIR && . /etc/profile.d/qt.sh
./install.sh 

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp -f rfcron.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rfcron-%{version}-%{release}.desktop

%post

%preun

%files
/etc/sysconfig/khwtree/GroupSys/rfcron-%{version}-%{release}.desktop
/usr/bin/rfcron
/usr/share/rfcron/
/usr/share/applnk/Settings/rfcron.desktop
/usr/lib/rfmin/lib/librfcron.so.1.0.0
/usr/lib/librfcron.so
/usr/lib/librfcron.so.1
/usr/lib/librfcron.so.1.0
/usr/lib/rfmin/include/rfcron/
/usr/share/pixmaps/rfcron.xpm

%changelog
* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-21
- add Korean resource(source 1, 2 patch 0, 1)
- remove post postun action and change .desktop file install method
* Fri May 13 2005 sywang <sywang@redflag-linux.com> 1.0.20
- add zh_TW support.
* Mon Apr 12 2004 pczou
- English user's guide added
* Mon Apr 07 2003 zqyang <zqyang@redflag-linux.com>
- standard
* Fri Mar 28 2003 zqyang <zqyang@redflag-linux.com>
- lock
* Mon Mar 24 2003 zqyang <zqyang@redflag-linux.com>
-add wizard
* Fri Mar 12 2003 zqyang <zqyang@redflag-linux.com>
-fix bugs
* Fri Feb 21 2003 zqyang <zqyang@redflag-linux.com>
- B
* Tue Jan 03 2003 zqyang <zqyang@redflag-linux.com>
- A


